{% extends "base-registration.html" %}
{% load fontawesome_5 %}
{% load i18n %}
{% block title %}Documents Overview | Seawatch Registration{% endblock %}
{% block content %}
  <h1>{% trans "Documents" %}</h1>
  {% if documents %}
    <table class="table table-hover">
      <thead>
        <tr>
          <th>{% trans "Id" %}</th>
          <th>{% trans "Type" %}</th>
          <th>{% trans "Number" %}</th>
          <th>{% trans "Issuing date" %}</th>
          <th>{% trans "Expiry date" %}</th>
          <th>{% trans "Issuing authority" %}</th>
          <th>{% trans "Issuing place" %}</th>
          <th>{% trans "Issuing country" %}</th>
          <th>{% trans "File" %}</th>
          <th></th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        {% for document in documents %}
          <tr>
            <td>{{ document.pk }}</td>
            <td>{{ document.document_type }}</td>
            <td>{{ document.number }}</td>
            <td>{{ document.issuing_date }}</td>
            <td>{{ document.expiry_date }}</td>
            <td>{{ document.issuing_authority }}</td>
            <td>{{ document.issuing_place }}</td>
            <td>{{ document.issuing_country }}</td>
            <td>{{ document.file }}</td>
            <td>
              <a href="{% url "document_update" document_id=document.pk %}">{% fa5_icon "edit" "far" %}</a>
            </td>
            <td>
              <a href="{% url "document_delete" document_id=document.pk %}">{% fa5_icon "trash-alt" "far" %}</a>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  {% else %}
    <p>{% trans "You didn't upload any documents, yet!" %}</p>
  {% endif %}
  <a href="{% url "document_create" %}" class="btn btn-primary">{% fa5_icon "plus" "fas" %}</a>
  {% include "pagination.html" %}
{% endblock %}
